package org.loom.appengine.converter;

import javax.inject.Singleton;

import org.apache.commons.lang.StringUtils;
import org.loom.converter.AbstractSimpleConverter;
import org.loom.i18n.MessagesRepository;

import com.google.appengine.api.datastore.Cursor;

/**
 * Converts a {@link Cursor} to a String.
 * @author icoloma
 *
 */
@Singleton
public class CursorConverter extends AbstractSimpleConverter {

	protected CursorConverter() {
		super(Cursor.class);
	}

	@Override
	public Object getAsObject(String text) {
		return StringUtils.isEmpty(text)? null : Cursor.fromWebSafeString(text);
	}

	@Override
	protected String getAsTextImpl(Object value, MessagesRepository repository) {
		return ((Cursor)value).toWebSafeString();
	}

}
