package org.loom.appengine.converter;

import javax.inject.Singleton;

import org.apache.commons.lang.StringUtils;
import org.loom.converter.AbstractSimpleConverter;
import org.loom.i18n.MessagesRepository;

import com.google.appengine.api.datastore.Link;

@Singleton
public class LinkConverter extends AbstractSimpleConverter {

	protected LinkConverter() {
		super(Link.class);
	}

	@Override
	public Object getAsObject(String text) {
		return StringUtils.isEmpty(text)? null : new Link(text);
	}
	
	@Override
	protected String getAsTextImpl(Object value, MessagesRepository repository) {
		return ((Link) value).getValue();
	}

}
