package org.loom.appengine.json;

import org.codehaus.jackson.map.annotate.JsonDeserialize;
import org.codehaus.jackson.map.annotate.JsonSerialize;

import com.google.appengine.api.datastore.Cursor;

/**
 * Mixin used to serialize {@link Cursor} instances using Jackson.
 * To use, invoke
 * <pre>
 * objectMapper.getSerializationConfig().addMixInAnnotations(Cursor.class, CursorJacksonMixIn.class);
 * </pre>
 * Details about mixins in Jackson can be seen <a href="http://wiki.fasterxml.com/JacksonMixInAnnotations">here</a>
 * @author icoloma
 *
 */
@JsonSerialize(using=CursorSerializer.class)
@JsonDeserialize(using=CursorDeserializer.class, as=Cursor.class)
public class CursorJacksonMixin {

}
