package org.loom.appengine.json;

import org.codehaus.jackson.map.annotate.JsonDeserialize;
import org.codehaus.jackson.map.annotate.JsonSerialize;

import com.google.appengine.api.datastore.GeoPt;

/**
 * Mixin used to serialize {@link GeoPt} instances using Jackson.
 * To use, invoke
 * <pre>
 * objectMapper.getSerializationConfig().addMixInAnnotations(GeoPt.class, GeoPtJacksonMixIn.class);
 * </pre>
 * Details about mixins in Jackson can be seen <a href="http://wiki.fasterxml.com/JacksonMixInAnnotations">here</a>
 * @author icoloma
 *
 */
@JsonSerialize(using=GeoPtSerializer.class)
@JsonDeserialize(using=GeoPtDeserializer.class, as=GeoPt.class)
public class GeoPtJacksonMixin {

}
