package org.loom.appengine.json;

import org.codehaus.jackson.map.annotate.JsonDeserialize;
import org.codehaus.jackson.map.annotate.JsonSerialize;

import com.google.appengine.api.datastore.Key;

/**
 * Mixin used to serialize {@link Key} instances using Jackson.
 * To use, invoke
 * <pre>
 * objectMapper.getSerializationConfig().addMixInAnnotations(Key.class, KeyJacksonMixIn.class);
 * </pre>
 * Details about mixins in Jackson can be seen <a href="http://wiki.fasterxml.com/JacksonMixInAnnotations">here</a>
 * @author icoloma
 *
 */
@JsonSerialize(using=KeySerializer.class)
@JsonDeserialize(using=KeyDeserializer.class, as=Key.class)
public class KeyJacksonMixin {

}
