package org.loom.appengine.scope;

import javax.servlet.ServletRequestEvent;
import javax.servlet.ServletRequestListener;
import javax.servlet.http.HttpServletRequest;

import org.loom.servlet.names.RequestAttributeNames;

/**
 * Writes the flash context to memcache
 * @author icoloma
 *
 */
public class MemcacheFlashContextWriter implements ServletRequestListener {

	@Override
	public void requestDestroyed(ServletRequestEvent event) {
		HttpServletRequest servletRequest = (HttpServletRequest) event.getServletRequest();
		MemcacheFlashContext context = (MemcacheFlashContext) servletRequest.getAttribute(RequestAttributeNames.FLASH_NEXT);
		if (context != null) {
			context.store(); 
		}
	}

	@Override
	public void requestInitialized(ServletRequestEvent event) {
		// empty
	}

}
