package org.loom.simpleds.functions;

import org.loom.util.StringUtils;
import org.simpleds.functions.AbstractPartialKeyFunction;

import com.google.appengine.api.datastore.Key;
import com.google.appengine.api.datastore.KeyFactory;

/**
 * Transform a Base58 representation of the id to the corresponding Key value
 * @see KeyToBase58IdFunction
 * @author icoloma
 */
public class Base58IdToKeyFunction extends AbstractPartialKeyFunction<String> {

	public Base58IdToKeyFunction(Class<?> persistentClass) {
		super(persistentClass);
	}

	@Override
	public Key apply(String key) {
		return key == null? null : KeyFactory.createKey(kind, StringUtils.alphaToNumber(key));
	}

}
