package org.loom.simpleds.functions;

import org.loom.util.StringUtils;

import com.google.common.base.Function;

/**
 * Transform a Base58 representation of a number to the corresponding Long value
 * @see KeyToBase58IdFunction
 * @author icoloma
 */
public class Base58ToIdFunction implements Function<String, Long> {

	@Override
	public Long apply(String key) {
		return key == null? null : StringUtils.alphaToNumber(key);
	}

}
