package org.loom.simpleds.functions;

import org.loom.util.StringUtils;

import com.google.appengine.api.datastore.Key;
import com.google.common.base.Function;

/**
 * Transform a Key to the Base58 representation of its id value
 * @see Base58IdToKeyFunction
 * @author icoloma
 */
public class KeyToBase58IdFunction implements Function<Key, String> {

	@Override
	public String apply(Key key) {
		return key == null? null : StringUtils.numberToAlpha(key.getId());
	}

}
